### Method

# WebKit2WebExtension DOMEvent init_event

deprecated: 2.22

#### Declaration [src]

    void
    webkit_dom_event_init_event (
      WebKitDOMEvent* self,
      const gchar* eventTypeArg,
      gboolean canBubbleArg,
      gboolean cancelableArg
    )

#### Description

No description available.

Deprecated since: 2.22

Use JavaScriptCore API instead.

#### Parameters

`eventTypeArg`

  Type: `const gchar*`

  A #gchar.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`canBubbleArg`

  Type: `gboolean`

  A #gboolean.

`cancelableArg`

  Type: `gboolean`

  A #gboolean.